/*
 * carddeck is an implementation of a deck of cards.
 *
 * Copyright (C) 2008 Thomas Repantis <trep@cs.ucr.edu>
 * 
 * This file is part of carddeck.
 *
 * carddeck is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * carddeck is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with carddeck.  If not, see <http://www.gnu.org/licenses/>.
 */

//
//! \author Thomas Repantis
//! \file Card.cc
//! Carddeck is an implementation of a deck of cards.
//

#include "Card.h"

using namespace deck;

//! Card constructor.
Card::Card(int rank, enum SuitType suit) throw(error::Exception) 
  : rank_(rank), suit_(suit) {
  if ((suit != CLUB) && (suit != DIAMOND) && 
      (suit != HEART) && (suit != SPADE)) {
    throw error::Exception("Invalid card type.");
  }
  
}

//! Card destructor.
Card::~Card() {
}
