/*
 * carddeck is an implementation of a deck of cards.
 *
 * Copyright (C) 2008 Thomas Repantis <trep@cs.ucr.edu>
 * 
 * This file is part of carddeck.
 *
 * carddeck is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * carddeck is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with carddeck.  If not, see <http://www.gnu.org/licenses/>.
 */

//
//! \author Thomas Repantis
//! \file DeckTest.h
//! Carddeck is an implementation of a deck of cards.
//

#ifndef __DECKTEST_H__
#define __DECKTEST_H__

#include <iostream>
#include "Exception.h"
#include "Deck.h"
#include "Card.h"

//! The number of command line arguments.
#define CLI_ARG_NUM_ 0

namespace test {

  //! DeckTest is a test and demonstration of the functionalities of carddeck.
  class DeckTest {
  public:
    DeckTest();
    //!< DeckTest constructor.
    
    ~DeckTest();
    //!< DeckTest destructor.

  private:
    void printUserChoices_();
    //! Print the choices the user has when interacting with the program.

    void interactWithUser_();
    //! Get the choices of the user and execute them.

    deck::Deck *pDeck_;
    //! The deck of cards.
  };
}

#endif
