/*
 * carddeck is an implementation of a deck of cards.
 *
 * Copyright (C) 2008 Thomas Repantis <trep@cs.ucr.edu>
 * 
 * This file is part of carddeck.
 *
 * carddeck is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * carddeck is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with carddeck.  If not, see <http://www.gnu.org/licenses/>.
 */

//
//! \author Thomas Repantis
//! \file NumberCard.h
//! Carddeck is an implementation of a deck of cards.
//

#ifndef __NUMBERCARD_H__
#define __NUMBERCARD_H__

#include <string>
#include <iostream>
#include <sstream>
#include "Exception.h"
#include "Card.h"

namespace deck {

  //! NumberCard is a card with a number on it (e.g. a number from 2 to 10).
  class NumberCard : public Card {
  public:
    NumberCard(int rank, enum SuitType suit) throw(error::Exception);
    //!< NumberCard constructor.
    
    virtual ~NumberCard();
    //!< NumberCard destructor.

    virtual std::string view() const;
    //!< View the name of the card.

  private:
    
  };
}

#endif
